#ifndef STATEMENT_DISMANTLERS_H
#define STATEMENT_DISMANTLERS_H

#include <basicnodes/basic.h>
#include <suifpasses/suifpasses.h>
#include <esuifnodes/esuif.h>
#include <suifkernel/module_subsystem.h>
#include <suifkernel/suif_env.h>
#include <suifnodes/suif.h>
#include <transforms/procedure_walker_utilities.h>

class PresentStatementWalker : public ProcedureWalker {
public:
  PresentStatementWalker(SuifEnv *env, ProcedureDefinition *pd) :
    ProcedureWalker(env, pd, PresentStatement::get_class_name()) {}
  static Statement* dismantle_present_statement(PresentStatement *);
  Walker::ApplyStatus operator () (SuifObject *); 
};



#endif
